VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Test File Builder"
   ClientHeight    =   4680
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   5820
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4680
   ScaleWidth      =   5820
   StartUpPosition =   2  'CenterScreen
   Begin VB.DirListBox dirOutput 
      Height          =   3690
      Left            =   2160
      TabIndex        =   5
      Top             =   840
      Width           =   3495
   End
   Begin VB.DriveListBox drvOutPut 
      Height          =   315
      Left            =   2160
      TabIndex        =   3
      Top             =   480
      Width           =   3495
   End
   Begin VB.TextBox txtBytes 
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Text            =   "1000"
      Top             =   480
      Width           =   1815
   End
   Begin VB.CommandButton cmdBuildFile 
      Caption         =   "Build It!"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   960
      Width           =   1815
   End
   Begin VB.Label Label2 
      Caption         =   "Output To:"
      Height          =   255
      Left            =   2160
      TabIndex        =   4
      Top             =   240
      Width           =   3495
   End
   Begin VB.Label lblSize 
      Caption         =   "File Size in Kilobytes:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1815
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit                 ' all variables must be declared

'****************************************************************************
' Project     : prjTestFileBuilder
' Author      : VB6Boy
' Purpose     : Builds test files of varying sizes
' Requirements: None
'
' Modification History:
'
' Date       Mod Notes
' ---------- ----------------------------------------------------------------
' 2017/06/03 Initial Creation
'
'****************************************************************************

Private Sub cmdBuildFile_Click()

'****************************************************************************
' Procedure : cmdBuildFile_Click
' Author    : VB6Boy
' Purpose   : Use clicks the button to begin the file build process
' Returns   :
' Syntax    :
' Side Eff. :
'
' Modification History:
'
' Date       Mod Notes
' ---------- ----------------------------------------------------------------
' 2017/06/03 Initial Creation
'
'****************************************************************************

    '***
    '*** Define Variables
    '***

    Dim Kount As Long               ' counter for one line of randomness
    Dim Iterations As Long          ' how many iterations we are going to make
    Dim MyRandomCharacter As Long   ' for selecting a random integer between 1 and 254
    Dim strBytes As String          ' String value of txtBytes
    Dim lngBytes As Long            ' Long integer value of txtBytes
    Dim strDir As String            ' directory where the output is going
    Dim strFileName As String       ' filename of output file
    Dim strFullPath As String       ' Full Path and Filename of output file
    Dim sngPercentage As Single     ' percentage for the status

    '***
    '*** Seed VB6 random number generator based on the system timer.
    '***

    Randomize Timer

    '***
    '*** grab and validate values off the form
    '***

    strBytes = txtBytes.Text
    
    If Len(strBytes) < 1 Then
    
        '*** This ensures that a value was entered in the textbox. if not, flash an error and exit
        
        MsgBox "You need to enter a value in the box. I can't make a test file from nothing!", vbExclamation, "Panic!"
        Exit Sub
        
    End If
    
    lngBytes = Int(strBytes) * 1024
    strDir = dirOutput.Path
    strFullPath = strDir & "\output.txt"
    
    '***
    '*** Open the file, and start writing!
    '***
    
    Open strFullPath For Output As #1
    
      
    For Kount = 1 To lngBytes
        
        ' *** select a random character, and print it to the file
        
        MyRandomCharacter = Int(Rnd(1) * 254) + 1
        Print #1, Chr$(MyRandomCharacter);
        
        If Right(Str(Kount), 3) = "000" Then
            
            '*** this is just a cheesy little caption changer so the user can see work in progress
            
            sngPercentage = Int((Kount / lngBytes) * 100)
            Me.Caption = sngPercentage & " %"
            DoEvents
            
        End If
        
    Next
    
    '***
    '*** Close the file and inform the user we are done
    '***
    
    Close #1
    Me.Caption = "File built!"

End Sub

Private Sub drvOutPut_Change()
'****************************************************************************
' Procedure : drvOutPut_Change
' Author    : VB6Boy
' Purpose   : drive selector has changed, so change the directory selector
' Returns   :
' Syntax    :
' Side Eff. :
'
' Modification History:
'
' Date       Mod Notes
' ---------- ----------------------------------------------------------------
' 2017/06/03 Initial Creation
'
'****************************************************************************

    dirOutput.Path = drvOutPut.Drive

End Sub

Private Sub txtBytes_KeyPress(KeyAscii As Integer)
'****************************************************************************
' Procedure : txtBytes_KeyPress
' Author    : VB6Boy
' Purpose   : ensure that only numeric values are entered in txtBytes
' Returns   :
' Syntax    :
' Side Eff. :
'
' Modification History:
'
' Date       Mod Notes
' ---------- ----------------------------------------------------------------
' 2017/06/03 Initial Creation
'
'****************************************************************************

    If Not IsNumeric(Chr(KeyAscii)) And Not KeyAscii = 8 Then
    
        ' *** set it to goose egg if not valid
        
        KeyAscii = 0
        
    End If
    
End Sub
